Your message dated Fri, 23 Feb 2018 17:34:44 +0000
with message-id <e1ephf6-0006ts...@fasolo.debian.org>
and subject line Bug#884514: fixed in ruby-fog 1.42.0-1
has caused the Debian Bug report #884514,
regarding ruby-fog-aws: fails to upgrade from 'sid' - trying to overwrite 
/usr/lib/ruby/vendor_ruby/fog/aws/service_mapper.rb
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
884514: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=884514
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: ruby-fog-aws
Version: 2.0.0-1
Severity: serious
User: debian...@lists.debian.org
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package fails to upgrade from
'sid' to 'experimental'.
It installed fine in 'sid', then the upgrade to 'experimental' fails
because it tries to overwrite other packages files without declaring a
Breaks+Replaces relation.

See policy 7.6 at
https://www.debian.org/doc/debian-policy/#overwriting-files-and-replacing-packages-replaces

>From the attached log (scroll to the bottom...):

  Preparing to unpack .../ruby-fog-aws_2.0.0-1_all.deb ...
  Unpacking ruby-fog-aws (2.0.0-1) over (0.12.0-1) ...
  dpkg: error processing archive 
/var/cache/apt/archives/ruby-fog-aws_2.0.0-1_all.deb (--unpack):
   trying to overwrite '/usr/lib/ruby/vendor_ruby/fog/aws/service_mapper.rb', 
which is also in package ruby-fog 1.38.0-1
  Errors were encountered while processing:
   /var/cache/apt/archives/ruby-fog-aws_2.0.0-1_all.deb


cheers,

Andreas

Attachment: ruby-fog=1.38.0-1_ruby-fog-aws=2.0.0-1.log.gz
Description: application/gzip


--- End Message ---
--- Begin Message ---
Source: ruby-fog
Source-Version: 1.42.0-1

We believe that the bug you reported is fixed in the latest version of
ruby-fog, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 884...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Pirate Praveen <prav...@debian.org> (supplier of updated ruby-fog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 23 Feb 2018 22:54:03 +0530
Source: ruby-fog
Binary: ruby-fog
Architecture: source
Version: 1.42.0-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Ruby Extras Maintainers 
<pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Pirate Praveen <prav...@debian.org>
Description:
 ruby-fog   - Ruby cloud services library
Closes: 884514
Changes:
 ruby-fog (1.42.0-1) unstable; urgency=medium
 .
   * New upstream release
   * Remove dependencies on unpackaged gems (digitalocean, dnsimple,
     internet_archive, joyent, ovirt)
   * Drop lib/fog/aws/service_mapper.rb as it conflicts with ruby-fog-aws
     (Closes: #884514)
Checksums-Sha1:
 d61fa537418dc8207b6ddfd70a2a07ab248fd20c 2796 ruby-fog_1.42.0-1.dsc
 03eb0c2ce2cff10f610534e763edd1d5479e5a26 586693 ruby-fog_1.42.0.orig.tar.gz
 b24c65e6f4b430c629675d90dba5ae5b431a8371 5700 ruby-fog_1.42.0-1.debian.tar.xz
 27a7292559974dc40a43e16864ee4b75580dd960 8293 
ruby-fog_1.42.0-1_source.buildinfo
Checksums-Sha256:
 63babaede37a0c588cc5391267cadf97b29d23d6872d820b19552ea55fbd0c90 2796 
ruby-fog_1.42.0-1.dsc
 77e336d054d7a7c71c891bd589351946dc05565c4296bfd81d56d2264e138c63 586693 
ruby-fog_1.42.0.orig.tar.gz
 67532fb05c0011e2b251472e15a7b344574048a86d60238fe51e90e07b1aabf7 5700 
ruby-fog_1.42.0-1.debian.tar.xz
 d837e991ae8b43a71797bafd53398515f35edee30f33ea7a6fa10c10fc2fe80f 8293 
ruby-fog_1.42.0-1_source.buildinfo
Files:
 b1d70e2e6b208d75b3359fc855f6e39f 2796 ruby optional ruby-fog_1.42.0-1.dsc
 649c534d6f46d569de09d800ce604712 586693 ruby optional 
ruby-fog_1.42.0.orig.tar.gz
 3282563920e58e099167104ca0584a31 5700 ruby optional 
ruby-fog_1.42.0-1.debian.tar.xz
 c374f3969ff57f3e8e1f1cae078b9eb8 8293 ruby optional 
ruby-fog_1.42.0-1_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEKnl0ri/BUtd4Z9pKzh+cZ0USwioFAlqQUCEACgkQzh+cZ0US
wio+wxAAtdDzbk/gMuxVghshxnHsobkDoqsy4c8sLBex1oKSsK5Q72+1uUuXR2nZ
GEj3K1cwesMFz/QDySDQV5zPlpTUu6YFTZZYLjaERZNz6ZRyuIVcPAXe+/AQugTO
3PFeNQB29fOeEtkBd1OgFYpphQNvCWvDhMKslYS2GCmadRxGiQYiUkPliz+FXcgO
0IFPqFEPTtzZhJvqwAKNudVms4mOB0WGVcln7Xa5DysI1LqTPkK1NAbQe3zr8A16
SFrcdeoNkx1ShBBY5Wn+R1TlxCQOTw44iAUzvg2eULbbKnz3tgXyoqyPqRbnw4nz
y553YrRYiA2oQJiCK1+H+aS9ePbjb6uL4/CvjT/Rhbbtg8KMwfkTTelPCYbmzQUG
Qs7zlQ4YRYoFk0K8VvNcy7okWNH6ZVyNc9rHmcLFvgZ+2biJaW5vyDZTAB141Rjx
BfNlWKBiBmGF2YrvUaDydCcgdYyY+/FeLYYdJaLZg7fRBWmobaNfmN+wjK80d41w
hkSyI/4QLP7iPcChKrxjcdxvTAOQaRt5QTqdzdvR1Nx0MzasJhYc55fb3PNEPn7S
4LdqAFQt9iJ2Ijyo4FKyeTHRY8huX1jb5DvrHz/upiP7j8gStoUXwXgDz8PE3RAD
AuORRIMfIHqO38Jo4LT2Agukc5S8phLvm9wli3rwq3TH+KHQJNM=
=7xY/
-----END PGP SIGNATURE-----

--- End Message ---
_______________________________________________
Pkg-ruby-extras-maintainers mailing list
Pkg-ruby-extras-maintainers@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-ruby-extras-maintainers

Reply via email to